gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.TreeDragSource

Contents

- Exported types
- Methods
  - dragDataDelete
  - dragDataGet
  - rowDraggable

Description

Interface for Drag-and-Drop destinations in `GtkTreeView`.

Synopsis

- newtype TreeDragSource = TreeDragSource (ManagedPtr TreeDragSource)
- class (ManagedPtrNewtype o, IsDescendantOf TreeDragSource o) => IsTreeDragSource o
- treeDragSourceDragDataDelete :: (HasCallStack, MonadIO m, IsTreeDragSource a) => a -> TreePath -> m Bool
- treeDragSourceDragDataGet :: (HasCallStack, MonadIO m, IsTreeDragSource a) => a -> TreePath -> m (Maybe ContentProvider)
- treeDragSourceRowDraggable :: (HasCallStack, MonadIO m, IsTreeDragSource a) => a -> TreePath -> m Bool

# Exported types

newtype TreeDragSource Source #

Deprecated: (Since version 4.10)List views use widgets to display their contents.You can use `DragSource` to implement a drag source

Memory-managed wrapper type.

Constructors

TreeDragSource (ManagedPtr TreeDragSource) | Deprecated: (Since version 4.10)List views use widgets to display their contents.You can use `DragSource` to implement a drag source

#### Instances

Instances details

Eq TreeDragSource Source # |
Instance details Defined in GI.Gtk.Interfaces.TreeDragSource Methods (==) :: TreeDragSource -> TreeDragSource -> Bool Source # (/=) :: TreeDragSource -> TreeDragSource -> Bool Source #
BoxedPtr TreeDragSource Source # |
Instance details Defined in GI.Gtk.Interfaces.TreeDragSource Methods boxedPtrCopy :: TreeDragSource -> IO TreeDragSource Source # boxedPtrFree :: TreeDragSource -> IO () Source #
ManagedPtrNewtype TreeDragSource Source # |
Instance details Defined in GI.Gtk.Interfaces.TreeDragSource Methods toManagedPtr :: TreeDragSource -> ManagedPtr TreeDragSource Source #

class (ManagedPtrNewtype o, IsDescendantOf TreeDragSource o) => IsTreeDragSource o Source #

Type class for types which implement `TreeDragSource`.

#### Instances

Instances details

(ManagedPtrNewtype o, IsDescendantOf TreeDragSource o) => IsTreeDragSource o Source # |
Instance details Defined in GI.Gtk.Interfaces.TreeDragSource

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

dragDataDelete, dragDataGet, rowDraggable.

#### Getters

None.

#### Setters

None.

## dragDataDelete

treeDragSourceDragDataDelete Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeDragSource a) |
=> a | `dragSource`: a `GtkTreeDragSource`
-> TreePath | `path`: row that was being dragged
-> m Bool | Returns: `True` if the row was successfully deleted

Deprecated: (Since version 4.10)Use list models instead

Asks the `GtkTreeDragSource` to delete the row at `path`, because it was moved somewhere else via drag-and-drop. Returns `False` if the deletion fails because `path` no longer exists, or for some model-specific reason. Should robustly handle a `path` no longer found in the model!

## dragDataGet

treeDragSourceDragDataGet Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeDragSource a) |
=> a | `dragSource`: a `GtkTreeDragSource`
-> TreePath | `path`: row that was dragged
-> m (Maybe ContentProvider) | Returns: a `GdkContentProvider` for the given `path`

Deprecated: (Since version 4.10)Use list models instead

Asks the `GtkTreeDragSource` to return a `GdkContentProvider` representing the row at `path`. Should robustly handle a `path` no longer found in the model!

## rowDraggable

treeDragSourceRowDraggable Source #

Arguments

:: (HasCallStack, MonadIO m, IsTreeDragSource a) |
=> a | `dragSource`: a `GtkTreeDragSource`
-> TreePath | `path`: row on which user is initiating a drag
-> m Bool | Returns: `True` if the row can be dragged

Deprecated: (Since version 4.10)Use list models instead

Asks the `GtkTreeDragSource` whether a particular row can be used as the source of a DND operation. If the source doesn’t implement this interface, the row is assumed draggable.